Subject: Re: bug#11379: emacs 24; compilation fails in debug mode

From: Glenn Morris <[email-masked]>
Date: Mon, 30 Apr 2012 14:16:32 -0400

Dov Grobgeld wrote:

>   ./configure --prefix=/usr/local/public-dev/ CPPFLAGS=-DDEBUG CFLAGS="-g
> -O0"

FYI, there is no "debug mode" for compiling Emacs.
Or rather, if there is, it is to configure with --enable-checking or
something similar.

-DDEBUG appears to be something that the authors of a few specialized
files have used for their own convenience; or was inherited from files
that also lived outside Emacs at one time. So I wouldn't expect to get
much out of trying to compile all of Emacs with it (why did you try?).

In the particular case of etags, it may well be referring to some
external .h file that the maintainer wrote for his own use.
(maybe http://fly.isti.cnr.it/pub/software/C/chkmalloc.h ?)